#ifndef f00FileLoaderH
#define f00FileLoaderH


class f00FileLoader
{

	public:

		f00FileLoader( const char* pFileName = 0 );

		~f00FileLoader();


		bool
		load( const char* pFileName );

		void
		discard();


		int
		length() const;

		const char*
		access() const;

		const char*
		extract();


	private:

		int							d_lenBuffer;
		char*							d_pBuffer;


};


#endif
