#ifndef f00TargaLoaderH
#define f00TargaLoaderH


// Local includes.
#include "f00ImageLoader.h"


class f00TargaLoader : public f00ImageLoader
{

	public:

		f00TargaLoader();

		~f00TargaLoader();


	public:

		virtual bool
		loadImageFromFile( const char* pFileName );

		virtual bool
		loadImage( const char* pData, int lenData );


	protected:

		bool
		loadHeader( const char* pData, int maxLen );

		bool
		loadBody( const char* pData, int maxLen );


	private:

		int					d_imageDepth;
		int					d_commentOffset;

		
};


#endif

